package com.ruoyi.generator.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.generator.domain.Community.CommunityReportUser;
import com.ruoyi.generator.mapper.community.CommunityReportUserMapper;
import com.ruoyi.generator.mapper.community.CommunityTagBlockMapper;
import com.ruoyi.system.mapper.SysUserMapper;
import com.ruoyi.system.service.ISysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CommunityReportUserServiceImpl extends ServiceImpl<CommunityReportUserMapper, CommunityReportUser> implements ICommunityReportUserService {


    @Autowired
    private CommunityReportUserMapper communityReportUserMapper;

    @Autowired
    private SysUserMapper sysUserMapper;

    @Autowired
    private ISysUserService userService;
    @Override
    public CommunityReportUser insertCommunityReportUser(CommunityReportUser communityReportUser) {
        /*SysUser user = new SysUser();
        user.setUserId(communityReportUser.getUserId());
        user.setUserState(communityReportUser.getUserState());
        userService.updateUserProfile(user);*/

        //创建一个新的对象匹配
        CommunityReportUser reportUser = new CommunityReportUser();

        reportUser.setUserId(communityReportUser.getUserId());
        reportUser.setType(communityReportUser.getType());
        reportUser.setContent(communityReportUser.getContent());
        reportUser.setImageUrl(communityReportUser.getImageUrl());
        reportUser.setTypeId(communityReportUser.getTypeId());
        reportUser.setReportId(communityReportUser.getReportId());

        //根据用户信息查询用户头像名称
        SysUser sysUser = sysUserMapper.selectUserById(reportUser.getUserId());
        reportUser.setUserName(sysUser.getUserName());
        reportUser.setAvatar(sysUser.getAvatar());
        reportUser.setUserState(sysUser.getUserState());
        reportUser.setCreateBy(SecurityUtils.getUserId());
        reportUser.setCreateTime(DateUtils.parseDate(DateUtils.getTime()));

        communityReportUserMapper.insert(reportUser);

        return reportUser;
    }
}
